data:extend(
	{
		{
			type = "font",
			name = "mntl_font",
			from = "default",
			border = false,
			size = 15
		},
		{
			type = "font",
			name = "mntl_font_small",
			from = "default-bold",
			border = false,
			size = 12
		},
		{
			type = "font",
			name = "mntl_font_bold",
			from = "default-bold",
			border = false,
			size = 15
		},
	}
)

data.raw["gui-style"].default["mntl_frame_style"] = 
{
	type="frame_style",
	parent="frame_style",
	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	flow_style=
	{
		horizontal_spacing = 0,
		vertical_spacing = 0,
		resize_row_to_width = true,
		resize_to_row_height = true
	}
}

data.raw["gui-style"].default["mntl_flow_style"] = 
{
	type = "flow_style",
	
	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	
	horizontal_spacing = 0,
	vertical_spacing = 0,
	max_on_row = 0,
	resize_row_to_width = true,
	
	graphical_set = { type = "none" },
}

data.raw["gui-style"].default["mntl_button_style"] = 
{
	type="button_style",
	parent="default",
	font="mntl_font_bold",
	align = "center",
	--height = 22,
	default_font_color={r=1, g=1, b=1},
	hovered_font_color={r=1, g=1, b=1},
	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	left_click_sound =
	{
		{
		  filename = "__core__/sound/gui-click.ogg",
		  volume = 1
		}
	},
}

data.raw["gui-style"].default["mntl_mine_button_style"] = 
{
	type="button_style",
	parent="mntl_button_style",
	font="mntl_font_small",
	left_click_sound =
	{
		{
		  filename = "__base__/sound/gate2.ogg",
		  volume = 1
		}
	}
}



