data:extend(
	{
		----------------------------------------------------------------------------------
		{
			type = "item",
			name = "water-injector",
			icon = "__MiningTools__/graphics/water-injector-icon.png",
			flags = {"goes-to-quickbar"},
			subgroup = "extraction-machine",
			order = "c[adv-mining]-a[water-injector]",
			place_result = "water-injector",
			stack_size = 20
		},

		----------------------------------------------------------------------------------
		{
			type = "item",
			name = "water-injection",
			icon = "__MiningTools__/graphics/water-injection.png",
			flags = {"goes-to-quickbar"},
			subgroup = "intermediate-product",
			order = "z[water-injection]",
			stack_size = 200
		},

		----------------------------------------------------------------------------------
		{
			type = "mining-tool",
			name = "pneumatic-drill",
			icon = "__MiningTools__/graphics/pneumatic-drill.png",
			flags = {"goes-to-quickbar"},
			action =
			{
				type="direct",
				action_delivery =
				{
					type = "instant",
					target_effects =
					{
						type = "damage",
						damage = { amount = 15 , type = "physical"}
					}
				}
			},
			durability = 250000,
			subgroup = "tool",
			order = "a[mining]-d[pneumatic-drill]",
			speed = 20,
			stack_size = 20
		},
		
		----------------------------------------------------------------------------------
		{
			type = "mining-tool",
			name = "electric-pneumatic-drill",
			icon = "__MiningTools__/graphics/electric-pneumatic-drill.png",
			flags = {"goes-to-quickbar"},
			action =
			{
				type="direct",
				action_delivery =
				{
					type = "instant",
					target_effects =
					{
						type = "damage",
						damage = { amount = 30 , type = "physical"}
					}
				}
			},
			durability = 500000,
			subgroup = "tool",
			order = "a[mining]-e[electric-pneumatic-drill]",
			speed = 40,
			stack_size = 20
		},

		----------------------------------------------------------------------------------
		{
			type = "item",
			name = "fast-mining-drill",
			icon = "__MiningTools__/graphics/fast-mining-drill-icon.png",
			flags = {"goes-to-quickbar"},
			subgroup = "extraction-machine",
			order = "a[items]-f[fast-mining-drill]",
			place_result = "fast-mining-drill",
			stack_size = 50
		},
	}
)

